### global parameters for all the different nodes (qontrol, preprocessing, hardware, rviz interface)


global_params:

  ## global parameters for all control types
  buttonSizeX: 200
  buttonSizeY: 80  

  language: "FR"
  color_type: "Button"
  
  useSlider: True

  global_frame: "world"

  ref_frame_master: "screen_frame"
  ref_frame_slave: "cam_frame"  
  tracked_frame_master: "vM_frame"
  tracked_frame_slave: "vS_frame"

  ## Frame used to correc orientation of object at origin (master side)
  origin_ref_frame_master: "Mdes_0_frame"

  ## Frame used as init frame of ee-robot (slave side)
  origin_ref_frame_slave: "des_0_frame"

  ## Frame used for the base of the detrompeur
  base_ref_master: "detromp"

  ## For IMU
  ## 2 modes : "PHY" for physic, "SIM" for simulated control
  # control_instruct: "IMU"
  # mode: "PHY"
  # useSimMarker: False


  ## For Opti
  ## 2 modes : "PHY" for physic, "SIM" for simulated control
  # control_instruct: "Opti"
  # mode: "PHY"  
  # useSimMarker: False




  ## for simMark
  ## 2 modes : "PHY" for physic, "SIM" for simulated control
  ## (PHY correspond à la modalité OP, SIM à la modalité MV)
  control_instruct: "simMark"
  mode: "SIM"    
  useSimMarker: True
  ## Type de souris utilisée (2D ou 3D)
  typeMouse: "2D"

  ## Vitesse maximale absolue (°/incr) : 
  ##  * En X 
  maxXSpeedCoeff: 1.0
  ##  * En Y   
  maxYSpeedCoeff: 1.0
  ##  * En Z  
  maxZSpeedCoeff: 1.0

